:: uninstall_GUI.bat
::
:: A very silent un-install that avoids prompting and output messages
:: minimizing User interaction and supporting unattended installs.
::
:: Any/all output is sent to z_unins_GUI.log
::
:: %1 is the configuration,      I.E. "Moog", "GE", etc.
::
:: ====================================================================
@ECHO OFF
ECHO Uninstalling All %1 WinDrive Modules: GUI, Configuration, and Motors please wait...
ECHO.
SetLocal

if exist z_uninstall_GUI_%1.log del z_uninstall_GUI_%1.log > NUL
echo Procedure executed on "%DATE% %TIME%" > z_uninstall_GUI_%1.log
::
:: Perform a Very Silent Install of the WinDrive GUI.
:: --------------------------------------------------------------------
CALL .\uninstall_GUI_%1.exe /VERYSILENT /LOG >> z_uninstall_GUI_%1.log

:: Experience with Windows 7 reveals updates to the Start Menu are inconsistent.
:: Clear the icon cache so that explorer.exe updates entires based on 
:: "%SystemDrive%\ProgramData\Microsoft\Windows\Start Menu\Programs".

CALL ie4uinit.exe -ClearIconCache >> z_uninstall_GUI_%1.log

:END
ECHO Operation Complete
ECHO.
EndLocal
